Get workflows by IDs

Base URL
https://{kibana_url}
  • POST /api/workflows/mget
  • POST /s/{space_id}/api/workflows/mget
Auth

Retrieve multiple workflows by their IDs in a single request. Optionally use the source parameter to return only specific fields from each workflow document.

Required privileges

Privileges workflowsManagement:read or workflowsManagement:managed:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

ids string[] · min items: 1 · max items: 500 required

Array of workflow IDs to look up.

source string[] · min items: 1 · max items: 10

Array of source fields to include.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}